Opened 9 years ago

Closed 8 years ago

Last modified 2 years ago

#2907 closed defect (duplicate)

[Packages] libnl does not compile

Reported by: anonymous Owned by: developers
Priority: normal Milestone: Barrier Breaker 14.07
Component: packages Version:
Keywords: Cc:


libnl does not compile after uClibc upgrade.

See buildlog...

Attachments (2)

libnl-buildlog.txt (45.2 KB) - added by anonymous 9 years ago.
libnl-log.txt (8.5 KB) - added by mixasik@… 9 years ago.
Revision: 10538

Download all attachments as: .zip

Change History (9)

Changed 9 years ago by anonymous

comment:1 Changed 9 years ago by nbd

  • Resolution set to fixed
  • Status changed from new to closed

should be fixed with newer changesets

comment:2 Changed 9 years ago by mixasik@…

  • Resolution fixed deleted
  • Status changed from closed to reopened

Package libnl won't build
Revision: 10538

Build log in attachment

Changed 9 years ago by mixasik@…

Revision: 10538

comment:3 Changed 8 years ago by anonymous

Dupe of/same resolution as #3492?

comment:4 Changed 8 years ago by nbd

  • Resolution set to duplicate
  • Status changed from reopened to closed


comment:5 Changed 8 years ago by mstombs

I get the exact same error in svn version 13144 (and several previous over last month)

LD nl-addr-add

/home/user/OpenWRT/trunk/staging_dir/toolchain-mipsel_gcc4.1.2/lib/gcc/mipsel-linux-uclibc/4.1.2/../../../../mipsel-linux-uclibc/bin/ld: nl-addr-add: hidden symbol `clz_tab' in /home/user/OpenWRT/trunk/staging_dir/toolchain-mipsel_gcc4.1.2/lib/gcc/mipsel-linux-uclibc/4.1.2/libgcc.a(_clz.o) is referenced by DSO
/home/user/OpenWRT/trunk/staging_dir/toolchain-mipsel_gcc4.1.2/lib/gcc/mipsel-linux-uclibc/4.1.2/../../../../mipsel-linux-uclibc/bin/ld: final link failed: Nonrepresentable section on output
collect2: ld returned 1 exit status
make[5]: * [nl-addr-add] Error 1

Was not a problem in revision 12690 which built successfully, had a similar issue in revision 12816 with package mipsel/iw-0.9.5, but worked-around by excluding that package, seems I need libnl for AR7 2.6 kernel based build, so can't avoid.

comment:6 Changed 8 years ago by anonymous

This seems an occasional reoccurring feature

But the solution which worked for me is in here

make package/libnl-clean V=99

comment:7 Changed 2 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

as closed .
The resolution will be deleted. Next status will be 'reopened'.

E-mail address and user name can be saved in the Preferences.

Note: See TracTickets for help on using tickets.